package cn.hnthyy.thmz.service.impl.his.zd;

import cn.hnthyy.thmz.entity.his.zd.ZdChequeType;
import cn.hnthyy.thmz.mapper.his.zd.ZdChequeTypeMapper;
import cn.hnthyy.thmz.service.his.zd.ZdChequeTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ZdChequeTypeServiceImpl implements ZdChequeTypeService {
    @SuppressWarnings("all")
    @Autowired
    private ZdChequeTypeMapper zdChequeTypeMapper;

    @Override
    public List<ZdChequeType> queryAllZdChequeTypeForMz() {
        return zdChequeTypeMapper.selectAllZdChequeTypeForMz();
    }

    @Override
    public List<ZdChequeType> queryAllZdChequeTypeForZy() {
        return zdChequeTypeMapper.selectAllZdChequeTypeForZy();
    }

    @Override
    public ZdChequeType queryChequeTypeByCode(String code) {
        return zdChequeTypeMapper.selectChequeTypeByCode(code);
    }
}
